MagickCore: token.c File Reference

# token.c File Reference

`#include "magick/studio.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/image.h"`
`#include "magick/memory_.h"`
`#include "magick/string_.h"`
`#include "magick/token.h"`
`#include "magick/utility.h"`

## Data Structures
struct | _TokenInfo
## Defines
#define | IN_WHITE 0
#define | IN_TOKEN 1
#define | IN_QUOTE 2
#define | IN_OZONE 3
## Functions
MagickExport TokenInfo * | AcquireTokenInfo (void)
MagickExport TokenInfo * | DestroyTokenInfo (TokenInfo *token_info)
MagickExport void | GetMagickToken (const char *start, const char **end, char *token)
MagickExport MagickBooleanType | GlobExpression (const char *expression, const char *pattern, const MagickBooleanType case_insensitive)
MagickExport MagickBooleanType | IsGlob (const char *path)
static long | sindex (int c, const char *string)
static void | StoreToken (TokenInfo *token_info, char *string, size_t max_token_length, int c)
MagickExport int | Tokenizer (TokenInfo *token_info, const unsigned flag, char *token, const size_t max_token_length, const char *line, const char *white, const char *break_set, const char *quote, const char escape, char *breaker, int *next, char *quoted)

## Define Documentation

#define IN_OZONE 3

#define IN_QUOTE 2

#define IN_TOKEN 1

#define IN_WHITE 0

## Function Documentation

MagickExport TokenInfo* AcquireTokenInfo | ( | void |  | ) |

MagickExport TokenInfo* DestroyTokenInfo | ( | TokenInfo * | token_info | ) |

MagickExport void GetMagickToken | ( | const char * | start,
|  | const char ** | end,
|  | char * | token |
| ) |  |  |

MagickExport MagickBooleanType GlobExpression | ( | const char * | expression,
|  | const char * | pattern,
|  | const MagickBooleanType | case_insensitive |
| ) |  |  |

MagickExport MagickBooleanType IsGlob | ( | const char * | path | ) |

static long sindex | ( | int | c,
|  | const char * | string |
| ) |  |  | `[static]`

static void StoreToken | ( | TokenInfo * | token_info,
|  | char * | string,
|  | size_t | max_token_length,
|  | int | c |
| ) |  |  | `[static]`

MagickExport int Tokenizer | ( | TokenInfo * | token_info,
|  | const unsigned | flag,
|  | char * | token,
|  | const size_t | max_token_length,
|  | const char * | line,
|  | const char * | white,
|  | const char * | break_set,
|  | const char * | quote,
|  | const char | escape,
|  | char * | breaker,
|  | int * | next,
|  | char * | quoted |
| ) |  |  |